<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.lang.String getRemoteArtifactListUrl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Constraint boolean matches(com.intellij.database.util.Version, com.intellij.database.Dbms, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Artifact properties">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.MavenSettingsRepositoriesProviderKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.MavenSettingsRepositoriesProviderKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Constraint boolean passes(com.intellij.database.util.Version, com.intellij.database.Dbms, com.intellij.database.util.Version, com.intellij.database.util.Version, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader byte[] loadArtifactList()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader void unpackZippedItems(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Arch boolean matches(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Arch)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactManager java.util.concurrent.CompletionStage&lt;?&gt; forceUpdate(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion ArtifactVersion(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Artifact, com.intellij.database.util.Version, java.util.List&lt;com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item&gt;, java.util.Map&lt;java.lang.String,java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion java.lang.String getProperty(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.io.File getUnpackedPath(java.io.File, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.io.File getUnpackedPath(java.io.File, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader boolean hasClasspathElementsFast(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader boolean hasClasspathElementsFast(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item arch">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Constraint boolean passes(com.intellij.database.util.Version, com.intellij.database.Dbms, com.intellij.database.util.Version, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Arch ARM32">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader boolean isValid(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader void downloadArtifact(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList DRIVER_CLASS_PROP">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.RemoteRepositoryDescription">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.RemoteRepositoryDescription">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.MavenSettingsRepositoriesProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.MavenSettingsRepositoriesProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.io.File getNativeLibrary(java.io.File, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Arch)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.io.File getNativeLibrary(java.io.File, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Arch)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactContext.Companion com.intellij.database.dataSource.artifacts.DatabaseArtifactContext getInstance(com.intellij.openapi.project.Project, com.intellij.database.dataSource.DatabaseDriver)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.io.File getArtifactDir(com.intellij.database.dataSource.artifacts.DatabaseArtifactList, java.lang.String, com.intellij.database.util.Version)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactManager">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.ArtifactRepositoriesProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.ArtifactRepositoriesProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion properties">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item Item(java.lang.String, java.lang.String, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.OS, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Arch, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Type)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item Item(java.lang.String, java.lang.String, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.OS, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Arch, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Type)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;252.23892.360&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactManager void downloadArtifact(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion, com.intellij.util.Consumer&lt;? super com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader boolean isValid(com.intellij.database.dataSource.artifacts.DatabaseArtifactList, java.lang.String, com.intellij.database.util.Version)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.util.List&lt;java.io.File&gt; getClasspathElements(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.io.File getLocalArtifactListPath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.io.File getLocalArtifactListPath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactContext com.intellij.database.dataSource.artifacts.DatabaseArtifactContext createContextForDriver(com.intellij.database.dataSource.DatabaseDriver)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactManager PROPERTY_DISABLE_ARTIFACT_UPDATES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Arch">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList NATIVE_LIBRARIES_PATH">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Arch applicable">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.io.File unpackZipIfNeeded(java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.io.File unpackZipIfNeeded(java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item boolean isLocal()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader boolean hasMissingLocalFiles(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader boolean hasMissingLocalFiles(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.util.List&lt;java.net.URL&gt; getTestArtifactLists()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactManager java.util.List&lt;com.intellij.util.ui.classpath.SimpleClasspathElement&gt; getClasspathElements(java.lang.String, com.intellij.database.util.Version)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactManager boolean hasClasspathElementsFast(java.lang.String, com.intellij.database.util.Version)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactManager boolean hasClasspathElementsFast(java.lang.String, com.intellij.database.util.Version)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.util.List&lt;java.io.File&gt; getNativeLibraries(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Arch)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactLoader java.util.List&lt;java.io.File&gt; getNativeLibraries(com.intellij.database.dataSource.artifacts.DatabaseArtifactList.ArtifactVersion, com.intellij.database.dataSource.artifacts.DatabaseArtifactList.Item.Arch)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.dataSource.artifacts.DatabaseArtifactList JAR_LIBRARIES_PATH">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
</root>
